Name:          knetstats
Version:       1.6.2
Release:       10%{?dist}
Summary:       A KDE Network monitor

License:       GPLv2
Group:         Applications/Internet
URL:           http://knetstats.sourceforge.net/

Source0:       http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: automake libtool
BuildRequires: kdelibs3-devel, gettext, desktop-file-utils

%description
A simple KDE network monitor that show rx/tx LEDs or numeric information about
the transfer rate of any network interface in a system tray icon.

%prep
%setup -q

sed -i "s|automake\*1.10\*|automake\*1.10\*\|automake\*1.11\*|" admin/cvs.sh
#missing: line 52: automake-1.9: command not found
#%{__aclocal}
#%{__automake} --add-missing --copy

%build

unset QTDIR || : ; . %{_sysconfdir}/profile.d/qt.sh

%configure --disable-rpath
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
    --vendor fedora \
%endif
    --add-category Network \
    --delete-original \
    --dir %{buildroot}%{_datadir}/applications/ \
    %{buildroot}%{_datadir}/applications/kde/%{name}.desktop

# Fix absolute symlink
%{__rm} -f %{buildroot}%{_docdir}/HTML/en/%{name}/common
#ln -s ../common %{buildroot}%{_docdir}/HTML/en/%{name}/common

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc src/CHANGELOG src/COPYING-DOCS
%{_bindir}/%{name}
%{_datadir}/apps/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%if 0%{?fedora} && 0%{?fedora} < 19
%{_datadir}/applications/fedora-%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif
%{_docdir}/HTML/en/%{name}/

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar  6 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 1.6.2-7
- Remove vendor prefix from desktop files in F19+ https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 16 2009 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.6.2-1
- New upstream release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Mar 31 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.6.1-8
- fix build (#434027)

* Wed Feb 27 2008 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.6.1-7
- fixed cvs commit issues

* Wed Feb 20 2008 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.6.1-6
- fixed for KDE4
- rebuild with kde3 compatibility packages

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.6.1-5
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.6.1-4
- mass rebuild for fedora 8 - BuildID

* Sat Jan 13 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.6.1-3
- Rebuild for devel

* Fri Jan 12 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.6.1-2
- Added Automake to BR

* Tue Jan 09 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.6.1-1
- Upstream release 1.6.1
- dropped fedora vendor

* Tue Sep 12 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.6-1
- Upstream release 1.6

* Wed Aug 30 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.5-8
- Rebuild for devel

* Sat Jun 17 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.5-7
- dropped knetstats-1.5-kde.patch

* Fri Jun 16 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.5-6
- GTK+ icon cache added in %post and %postun for icons to show up on menus

* Mon Jun 12 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.5-5
- Corrected "Permission Denied" while creating ln -s 'common' to '../common'
- Dropped qt-devel as BuildRequire
- Removed (unneccessary) update-desktop-database in %post and %postun
- patch for admin.py due to dangling-relative-symlink with ../common

* Sun Jun 11 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.5-4
- patch for SConstruct renamed to knetstats-1.5-rpathfix.patch
- patch for knetstats-1.5-desktop.patch
- Integration of desktop-file-install
- Added scons as BuildRequire

* Mon Jun 05 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.5-3
- Dropped scons and gcc-c++ as BuildRequire
- patch for SConstruct added

* Sun Jun 04 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.5-2
- Removed packager tag and corrected "incoherent-version-in-changelog"

* Sat Jun 03 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 1.5-1
- Initial package.
